### Enumeration

# Secret BackendFlags

since: 0.19.0

#### Declaration

    enum Secret.BackendFlags

#### Description [src]

Flags which determine which parts of the `SecretBackend` are initialized.

Available since: 0.19.0

#### Members

`SECRET_BACKEND_NONE`

  No flags for initializing the `SecretBackend`.

  - Value: `0`
  - Nickname: `none`
  - Available since: 0.19.0
`SECRET_BACKEND_OPEN_SESSION`

  Establish a session for transfer of secrets while initializing the `SecretBackend`.

  - Value: `2`
  - Nickname: `open-session`
  - Available since: 0.19.0
`SECRET_BACKEND_LOAD_COLLECTIONS`

  Load collections while initializing the `SecretBackend`.

  - Value: `4`
  - Nickname: `load-collections`
  - Available since: 0.19.0